<?php

// Routes for advert.

// Guard routes for advert
Route::prefix('{guard}/advert')->group(function () {

    Route::get('advert/report/{report}', 'AdvertReportController');
    Route::post('advert/exim/{exim}', 'AdvertEximController');
    Route::patch('advert/actions/{action}', 'AdvertActionsController');
    Route::patch('advert/action/{advert}/{action}', 'AdvertActionController');
    Route::patch('advert/workflow/{advert}/{transition}', 'AdvertWorkflowController');
    Route::resource('advert', 'AdvertResourceController');
});

// Guard routes for category
Route::prefix('{guard}/advert')->group(function () {

    Route::resource('category', 'CategoryResourceController');
});



// Public routes for advert
Route::get('adverts/', 'AdvertPublicController@index');
Route::get('advert/{slug?}', 'AdvertPublicController@show');
