<?php

// Web routes  for advert.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for advert

Route::prefix('{guard}/advert')->group(function () {

    Route::get('/workflow/{advert}/{user}', 'AdvertWorkflowController@get')
        ->name('litecms.advert.workflow');
    Route::post('/workflow/{advert}/{user}', 'AdvertWorkflowController@post');

    Route::get('/action/{advert}/{user}', 'AdvertActionController@get')
        ->name('litecms.advert.action');
    Route::post('/action/{advert}/{user}', 'AdvertActionController@post');

});