<?php

namespace Litecms\Advert\Actions;

use Illuminate\Http\Request;
use Litecms\Advert\Models\Advert;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class AdvertReport
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $report)
    {
        $this->model = app(Advert::class);
        $function = Str::camel($report);
        return $this->$function();
    }
    
    public function sample(Request $request)
    {
        return $request;
    }

}
