<?php

namespace Litecms\Advert\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Litecms\Advert\Models\Advert;

class AdvertWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Advert $advert,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
